<?xml version="1.0" encoding="utf-8"?>
<android.support.constraint.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/wingcool_backgroup"
    tools:context=".TestOperation">

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        tools:layout_editor_absoluteX="0dp"
        tools:layout_editor_absoluteY="0dp">

        <LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
            xmlns:tools="http://schemas.android.com/tools"
            android:id="@+id/AllLinearLayout"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginStart="8dp"
            android:layout_marginLeft="8dp"
            android:layout_marginTop="8dp"
            android:layout_marginEnd="8dp"
            android:layout_marginRight="8dp"
            android:layout_marginBottom="0dp"
            android:orientation="vertical"
            tools:context=".TestOperation">

            <HorizontalScrollView
                android:layout_width="match_parent"
                android:layout_height="match_parent">

            </HorizontalScrollView>

            <HorizontalScrollView
                android:layout_width="match_parent"
                android:layout_height="match_parent">

                <TableLayout
                    android:id="@+id/tab_01"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent" />
            </HorizontalScrollView>

            <GridLayout xmlns:android="http://schemas.android.com/apk/res/android"
                android:id="@+id/SpecialDataGridLayout"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_gravity="center_vertical"
                android:layout_marginStart="8dp"
                android:layout_marginEnd="8dp"
                android:background="@drawable/bg_frame_line"
                android:columnCount="16"
                android:orientation="horizontal"
                android:rowCount="2">

                <TextView
                    android:id="@+id/maximum"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_marginStart="20dp"
                    android:text="@string/maximum"
                    android:textSize="20dp" />

                <TextView
                    android:id="@+id/maximumshow"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:text="NA"
                    android:textColor="@color/back_red"
                    android:textSize="20dp" />

                <TextView
                    android:id="@+id/minimum"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_marginStart="50dp"
                    android:text="@string/minimum"
                    android:textSize="20dp" />

                <TextView
                    android:id="@+id/minimumshow"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:text="NA"
                    android:textColor="@color/back_red"
                    android:textSize="20dp" />

                <TextView
                    android:id="@+id/maxsubmin"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_marginStart="50dp"
                    android:text="@string/maxsubmin"
                    android:textSize="20dp" />

                <TextView
                    android:id="@+id/maxsubminshow"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:text="NA"
                    android:textColor="@color/back_red"
                    android:textSize="20dp" />

                <TextView
                    android:id="@+id/mad"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_marginStart="50dp"
                    android:text="@string/mad"
                    android:textSize="20dp" />

                <TextView
                    android:id="@+id/madshow"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:text="NA"
                    android:textColor="@color/back_red"
                    android:textSize="20dp" />

            </GridLayout>

            <LinearLayout
                android:id="@+id/EditTextLinearLayout"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginStart="8dp"
                android:layout_marginTop="8dp"
                android:layout_marginEnd="8dp"
                android:layout_marginBottom="8dp"
                android:orientation="horizontal"
                tools:context=".TestOperation">

                <TextView
                    android:id="@+id/maximumthreshold"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:padding="5dp"
                    android:text="@string/maximumthreshold"
                    android:textSize="20dp" />

                <EditText
                    android:id="@+id/inputmaximum"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_margin="0dp"
                    android:layout_weight="2"
                    android:background="@drawable/bg_frame_search"
                    android:digits="@string/input_num"
                    android:hint="0"
                    android:maxLength="5"
                    android:padding="5dp"
                    android:singleLine="true"
                    android:textAlignment="center"
                    android:textSize="20dp" />

                <TextView
                    android:id="@+id/minimumthreshold"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:padding="5dp"
                    android:text="@string/minimumthreshold"
                    android:textSize="20dp" />

                <EditText
                    android:id="@+id/inputminimum"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_margin="0dp"
                    android:layout_weight="2"
                    android:background="@drawable/bg_frame_search"
                    android:digits="@string/input_num"
                    android:hint="0"
                    android:maxLength="5"
                    android:padding="5dp"
                    android:singleLine="true"
                    android:textAlignment="center"
                    android:textSize="20dp" />

                <TextView
                    android:id="@+id/adjacentdeviationthreshold"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:padding="5dp"
                    android:text="@string/adjacentdeviationthreshold"
                    android:textSize="20dp" />

                <EditText
                    android:id="@+id/inputadjacentdeviation"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_margin="0dp"
                    android:layout_weight="2"
                    android:background="@drawable/bg_frame_search"
                    android:digits="@string/input_num"
                    android:hint="0"
                    android:maxLength="5"
                    android:padding="5dp"
                    android:singleLine="true"
                    android:textAlignment="center"
                    android:textSize="20dp" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/ButtonLinearLayout"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginStart="8dp"
                android:layout_marginLeft="8dp"
                android:layout_marginTop="8dp"
                android:layout_marginEnd="8dp"
                android:layout_marginRight="8dp"
                android:layout_marginBottom="0dp"
                android:orientation="horizontal"
                tools:context=".TestOperation">


                <Button
                    android:id="@+id/starttesting"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="0dp"
                    android:layout_marginTop="8dp"
                    android:layout_marginEnd="0dp"
                    android:layout_marginBottom="8dp"
                    android:layout_weight="1"
                    android:text="@string/starttesting"
                    android:textAllCaps="false"
                    android:textSize="20dp" />

                <Button
                    android:id="@+id/stop"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="0dp"
                    android:layout_marginTop="8dp"
                    android:layout_marginEnd="0dp"
                    android:layout_marginBottom="8dp"
                    android:layout_weight="1"
                    android:text="@string/stop"
                    android:textAllCaps="false"
                    android:textSize="20dp" />

            </LinearLayout>

            <LinearLayout xmlns:tools="http://schemas.android.com/tools"
                android:id="@+id/TextViewLinearLayout"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginStart="8dp"
                android:layout_marginTop="0dp"
                android:layout_marginEnd="8dp"
                android:layout_marginBottom="8dp"
                android:orientation="vertical"
                tools:context=".TestOperation">

                <EditText
                    android:id="@+id/testinformation"
                    android:layout_width="match_parent"
                    android:layout_height="240dp"
                    android:layout_marginStart="0dp"
                    android:layout_marginTop="0dp"
                    android:background="@drawable/bg_frame_search"
                    android:text=""
                    android:textSize="16dp" />

                <TextView
                    android:id="@+id/testresult"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginStart="0dp"
                    android:layout_marginTop="0dp"
                    android:text=""
                    android:textColor="@color/back_red"
                    android:textSize="20dp" />
            </LinearLayout>

        </LinearLayout>
    </ScrollView>
</android.support.constraint.ConstraintLayout>